Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 907)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 908)
@@ -76,13 +76,6 @@
 
 	public static final String DENSITY_CHART_TYPE = "density"; //$NON-NLS-1$
 	
-	
-	/**
-	 * The corpus.
-	 */
-	protected Corpus corpus;
-
-
 	/** The Xmin corpus. */
 	protected int XminCorpus;
 
@@ -161,7 +154,6 @@
 	
 	public Progression(String uuid, Corpus parent)	{
 		super(uuid, parent);
-		this.corpus = (Corpus) this.parent;
 	}
 	
 	@Override
@@ -214,12 +206,6 @@
 	@Override
 	public boolean canCompute() {
 
-		// null Corpus
-		if(this.corpus == null)	{
-			Log.severe("Progression.canCompute(): can not compute with no corpus."); //$NON-NLS-1$
-			return false;
-		}
-
 		// null or empty queries
 		if (this.queries == null || this.queries.size() == 0)	{
 			Log.severe("Progression.canCompute(): can not compute with no query."); //$NON-NLS-1$
@@ -378,7 +364,7 @@
 	public boolean stepQueries(List<QueryResult> queryResults) throws CqiClientException {
 		if (queryResults.size() != queries.size()) return false;
 
-		maxX = corpus.getSize();
+		maxX = getCorpus().getSize();
 		int npositions = 0;
 		for (int iQuery = 0 ; iQuery < queries.size() ; iQuery++) {
 			QueryResult result = queryResults.get(iQuery);
@@ -415,11 +401,11 @@
 	 * @throws CqiClientException the cqi client exception
 	 */
 	public boolean stepQueries() throws CqiClientException	{
-		maxX = corpus.getSize();
+		maxX = getCorpus().getSize();
 		int npositions = 0;
 		for (Query query : queries) {
 			// System.out.println("query  "+query.getQueryString());
-			QueryResult result = corpus.query(query, query.getQueryString()
+			QueryResult result = getCorpus().query(query, query.getQueryString()
 					.replace(" ", "_") + "_progression", true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$			
 			int nLines = result.getNMatch();
 			if (maxY < nLines)
@@ -477,7 +463,7 @@
 
 			// System.out.println("Struct: "+ structure+" property: "+property);
 			// System.out.println(query.getQueryString());
-			QueryResult result = corpus.query(query, query.getQueryString().replace(" ", "_") + "_progression", true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			QueryResult result = getCorpus().query(query, query.getQueryString().replace(" ", "_") + "_progression", true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			int[] starts = result.getStarts();
 			result.drop();
 			int nLines = starts.length;
@@ -547,8 +533,8 @@
 	 * @throws CqiClientException the cqi client exception
 	 */
 	public boolean stepFinalize() throws CqiClientException	{
-		if (corpus instanceof Subcorpus) {
-			List<Match> matches = ((Subcorpus) corpus).getMatches();
+		if (getCorpus() instanceof Subcorpus) {
+			List<Match> matches = ((Subcorpus) getCorpus()).getMatches();
 			if (matches.size() == 0) {
 				System.out.println(ProgressionCoreMessages.Progression_1);
 				return false;
@@ -559,7 +545,7 @@
 		}
 		else {
 			XminCorpus = 0;
-			XmaxCorpus = corpus.getSize();
+			XmaxCorpus = getCorpus().getSize();
 		}
 		//System.out.println("min: "+XminCorpus+ "max: "+XmaxCorpus);
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/setup/SetSVNQualifier.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/setup/SetSVNQualifier.groovy	(revision 907)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/setup/SetSVNQualifier.groovy	(revision 908)
@@ -1,5 +1,7 @@
 import java.util.jar.Manifest
 
+import org.txm.setup.SVNStats
+
 File workspace = new File(System.getProperty("user.home"), "workspace047")
 
 for (File dir : workspace.listFiles()) {
Index: tmp/org.txm.index.core/src/org/txm/index/core/preferences/IndexPreferences.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/preferences/IndexPreferences.java	(revision 907)
+++ tmp/org.txm.index.core/src/org/txm/index/core/preferences/IndexPreferences.java	(revision 908)
@@ -16,9 +16,6 @@
 
 	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(IndexPreferences.class).getSymbolicName();
 	
-	public static final String PROPERTIES = "properties"; //$NON-NLS-1$
-	
-	
 	/**
 	 * Number of lines to display per page.
 	 */
@@ -38,7 +35,8 @@
 	public void initializeDefaultPreferences() {
 	
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
-		preferences.put(PROPERTIES, "word"); //$NON-NLS-1$
+		preferences.put(UNIT_PROPERTIES, DEFAULT_UNIT_PROPERTY); //$NON-NLS-1$
+		preferences.put(UNIT_PROPERTY, DEFAULT_UNIT_PROPERTY); //$NON-NLS-1$
 		preferences.put(PROPERTIES_SEPARATOR, "_"); //$NON-NLS-1$
 		preferences.put(QUERY, ""); //$NON-NLS-1$
 		preferences.putInt(F_MIN, 1);
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 907)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 908)
@@ -91,19 +91,12 @@
 	/** The writer. */
 	private OutputStreamWriter writer;
 
-	private Corpus corpus;
-
-	
-
 	/**
 	 * The property.
 	 */
 	@Parameter(key=TBXPreferences.UNIT_PROPERTY)
 	protected Property pProperty;
-
 	
-	
-	
 	public Lexicon(Corpus corpus)	{
 		this(null, corpus);
 	}
@@ -114,7 +107,7 @@
 	
 	public Lexicon(String uuid, Corpus corpus)	{
 		super(uuid, corpus);
-		this.corpus = (Corpus) this.parent;
+		
 		this.persistable = false; // FIXME: remove that later
 	}
 
@@ -123,7 +116,8 @@
 	@Override
 	public boolean loadParameters() throws Exception {
 		try {
-			this.pProperty = this.getCorpus().getProperty(this.getStringParameterValue(TBXPreferences.UNIT_PROPERTY));
+			String p = this.getStringParameterValue(TBXPreferences.UNIT_PROPERTY);
+			this.pProperty = getCorpus().getProperty(p);
 		}
 		catch (CqiClientException e) {
 			// TODO Auto-generated catch block
@@ -149,16 +143,16 @@
 
 	@Override
 	public boolean canCompute() throws Exception {
-		return corpus != null && pProperty != null;
+		return pProperty != null;
 	}
 
 	@Override
 	protected boolean _compute() throws Exception {
-		if (corpus instanceof MainCorpus) {
-			return computeWithMainCorpus((MainCorpus)corpus, pProperty, monitor);
+		if (getCorpus() instanceof MainCorpus) {
+			return computeWithMainCorpus((MainCorpus)getCorpus(), pProperty, monitor);
 		}
-		else if (corpus instanceof Subcorpus) {
-			return computewithSubCorpus((Subcorpus)corpus, pProperty, monitor);
+		else if (getCorpus() instanceof Subcorpus) {
+			return computewithSubCorpus((Subcorpus)getCorpus(), pProperty, monitor);
 		}
 		else {
 			Log.severe("Error: Lexicon parent is neither a Maincorpus nor a Subcorpus.");
@@ -290,8 +284,8 @@
 
 	@Override
 	public boolean delete() {
-		if (corpus != null) {
-			corpus.removeData(this);
+		if (getCorpus() != null) {
+			getCorpus().removeData(this);
 		}
 		return true;
 	}
@@ -334,11 +328,11 @@
 	 * @return the corpus
 	 */
 	public Corpus getCorpus() {
-		return corpus;
+		return (Corpus)parent;
 	}
 
 	public String getDetails() {
-		return  this.corpus.getName() + " " + this.pProperty.getName(); //$NON-NLS-1$
+		return  getCorpus().getName() + " " + this.pProperty.getName(); //$NON-NLS-1$
 	}
 
 	//TODO: move this into a Lexicon chart renderer
@@ -438,7 +432,7 @@
 	@Override
 	public String getName() {
 		try {
-			return IndexCoreMessages.LEXICON_RESULT_TYPE + ": " + this.corpus.getSimpleName() + ": " + this.getSimpleName();	
+			return IndexCoreMessages.LEXICON_RESULT_TYPE + ": " + this.getCorpus().getSimpleName() + ": " + this.getSimpleName();	
 		}
 		catch(Exception e) {
 		}
@@ -515,7 +509,6 @@
 		this.ids = ids;
 		this.forms = null;
 		this.pProperty = property;
-		this.corpus = (Corpus) corpus;
 	}
 
 
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 907)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 908)
@@ -42,6 +42,7 @@
 import org.apache.commons.lang.StringUtils;
 import org.eclipse.osgi.util.NLS;
 import org.rosuda.REngine.REXPMismatchException;
+import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
@@ -119,7 +120,7 @@
 	/**
 	 * The word properties shown.
 	 */
-	@Parameter(key=IndexPreferences.PROPERTIES)
+	@Parameter(key=TBXPreferences.UNIT_PROPERTIES)
 	protected List<WordProperty> pProperties;
 	
 	/**
@@ -365,7 +366,7 @@
 	@Override
 	public boolean saveParameters() {
 			
-		this.saveParameter(IndexPreferences.PROPERTIES, WordProperty.propertiesToString(pProperties));
+		this.saveParameter(TBXPreferences.UNIT_PROPERTIES, WordProperty.propertiesToString(pProperties));
 		
 		if (pQuery != null) {
 			this.saveParameter(IndexPreferences.QUERY, pQuery.getQueryString());
@@ -377,7 +378,7 @@
 	
 	@Override
 	public boolean loadParameters() {
-		this.pProperties = (List<WordProperty>) Property.stringToProperties(getCorpus(), this.getStringParameterValue(IndexPreferences.PROPERTIES));
+		this.pProperties = (List<WordProperty>) Property.stringToProperties(getCorpus(), this.getStringParameterValue(TBXPreferences.UNIT_PROPERTIES));
 		this.pQuery = new Query(this.getStringParameterValue(IndexPreferences.QUERY));
 		return true;
 	}
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 907)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 908)
@@ -47,6 +47,7 @@
 import org.eclipse.swt.widgets.Spinner;
 import org.eclipse.swt.widgets.TableColumn;
 import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.index.core.functions.Index;
 import org.txm.index.core.functions.Line;
@@ -146,10 +147,9 @@
 	/**
 	 * Word properties selector.
 	 */
-	@Parameter(key=IndexPreferences.PROPERTIES)
+	@Parameter(key=TBXPreferences.UNIT_PROPERTIES)
 	protected PropertiesSelector<WordProperty> propertiesSelector;
 	
-
 	/**
 	 * Creates the part control.
 	 *
Index: tmp/org.txm.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 907)
+++ tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 908)
@@ -31,7 +31,8 @@
  org.txm.libs.args4j;bundle-version="1.0.0";visibility:=reexport,
  org.txm.tokenizer.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
- org.txm.statsengine.core
+ org.txm.statsengine.core,
+ org.eclipse.ui.themes;bundle-version="1.2.1"
 Export-Package: junit.extensions,
  junit.framework,
  junit.runner,
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 907)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 908)
@@ -65,7 +65,6 @@
 	public static final Pattern FILE_NAME_PATTERN = Pattern.compile("[^a-zA-Z0-9\\.-]+"); //$NON-NLS-1$
 	public static final String UNDERSCORE = "_";
 
-
 	/**
 	 * Unique ID of the result.
 	 */
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 907)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 908)
@@ -340,8 +340,8 @@
 
 			// add query button
 			Button plusButton = new Button(queriesFocusComposite, SWT.NONE);
-			plusButton.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
-			plusButton.setText("Add multiple queries...");
+			plusButton.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, false));
+			plusButton.setText("Add queries from file...");
 
 			plusButton.addListener(SWT.Selection, new Listener() {
 				@Override
